cURL
curl --request PUT \
--url https://app.teable.ai/api/base/%7BbaseId%7D/table/%7BtableId%7D/db-table-name \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"dbTableName":"string"}'table
Update db table name
Update the physical database table name. Must be 1-63 characters, start with letter or underscore, contain only letters, numbers and underscore, and be unique within the base.
PUT
/
base
/
{baseId}
/
table
/
{tableId}
/
db-table-name
cURL
curl --request PUT \
--url https://app.teable.ai/api/base/%7BbaseId%7D/table/%7BtableId%7D/db-table-name \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"dbTableName":"string"}'授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
table name in backend database. Limitation: 1-63 characters, start with letter or underscore, can only contain letters, numbers and underscore, case sensitive, cannot be duplicated with existing table name in the base.
Minimum string length:
1Pattern:
^[a-z_]\w{0,62}$/i响应
200
Database table name successfully updated.
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

